> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Bank Account

> Fetch the details of a single bank account using its unique ID.



## OpenAPI

````yaml GET /bankAccounts/{bankAccountId}
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for bank accounts.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /bankAccounts/{bankAccountId}:
    get:
      tags:
        - Bank Accounts
      summary: Retrieve a single bank account
      description: Fetch the details of a single bank account using its unique ID.
      parameters:
        - name: bankAccountId
          in: path
          description: The unique identifier of the bank account.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response with the details of a single bank account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      bankId:
                        type: string
                      name:
                        type: string
                      nickName:
                        type: string
                      accountNumber:
                        type: string
                      addressLine1:
                        type: string
                      addressLine2:
                        type: string
                        nullable: true
                      city:
                        type: string
                      state:
                        type: string
                      zip:
                        type: string
                      phone:
                        type: string
                        nullable: true
                      isVerified:
                        type: boolean
                      createdDate:
                        type: string
                        format: date
                      bankAccountId:
                        type: string
                      RoutingNumber:
                        type: string
                      webUrl:
                        type: string
                        format: uri
              examples:
                exampleResponse:
                  value:
                    success: true
                    data:
                      id: 3Ez2Ggn8JP4qQgA
                      bankId: 6VoW41bgPVG589l
                      name: Demo Bank 1333
                      nickName: company1333334
                      accountNumber: '34234234234222'
                      addressLine1: Test Address1
                      addressLine2: null
                      city: Downey
                      state: CA
                      zip: '90242'
                      phone: null
                      isVerified: false
                      createdDate: 11-12-2024
                      bankAccountId: XP3Ez2Ggn8JP4qQgAYd
                      RoutingNumber: '011000015'
                      webUrl: >-
                        https://staging.web.ocw.sebipay.com/manage/bank-accounts/index?id=3Ez2Ggn8JP4qQgA
        '404':
          description: This bank account not found
          content:
            application/json:
              example:
                success: false
                errorMsg: This bank account not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````